services:

  api:
    build: .
    restart: always
    ports:
      - "8000:8000"
    env_file:
      - .env
    networks:
      - linedance

  web:
    build: ./web
    restart: always
    ports:
      - "8001:8001"
    networks:
      - linedance
    depends_on:
      - api

  adminer:
    image: adminer
    restart: always
    ports:
      - "127.0.0.1:8080:8080"  # kun tilgængelig lokalt på serveren
    networks:
      - linedance

networks:
  linedance:
    name: linedance